import request from '@/utils/request'

// 查询提现审核日志列表
export function listSerUserWithdrawalAuditLog(query) {
  return request({
    url: '/service/SerUserWithdrawalAuditLog/list',
    method: 'get',
    params: query
  })
}

// 查询提现审核日志详细
export function getSerUserWithdrawalAuditLog(logId) {
  return request({
    url: '/service/SerUserWithdrawalAuditLog/' + logId,
    method: 'get'
  })
}

// 新增提现审核日志
export function addSerUserWithdrawalAuditLog(data) {
  return request({
    url: '/service/SerUserWithdrawalAuditLog',
    method: 'post',
    data: data
  })
}

// 修改提现审核日志
export function updateSerUserWithdrawalAuditLog(data) {
  return request({
    url: '/service/SerUserWithdrawalAuditLog',
    method: 'put',
    data: data
  })
}

// 删除提现审核日志
export function delSerUserWithdrawalAuditLog(logId) {
  return request({
    url: '/service/SerUserWithdrawalAuditLog/' + logId,
    method: 'delete'
  })
}
